hardware-stores-delete-one

Source

  • Repository: jef-systems/jef-hardware-backend

  • Source Run ID: 25090787814

  • Source SHA: 444376867c764658b4ed0286bc44ff0ac8c80995

  • Module: hardware

  • Documentation Scope: async

  • Lambda: jef-hardware-delete-8

Endpoint

  • API Name: jef-hardware

  • Action Name: delete

  • Method: DELETE

  • Scope Label: Async

  • Resource Path: /hardware-stores-delete-one

  • Complete Endpoint: https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-delete-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-delete-8

  • curl payload mode: json_body

API Gateway Description

Function: jef-hardware-delete-8
Module: jef-hardware
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /hardware-stores-delete-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-hardware-stores

Payload Example:
- pk: 1001

Payload Schema:
- pk: entity_number

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "1001"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X DELETE "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"1001\"}"

PowerShell curl

curl.exe -X DELETE "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "1001"}'